<?php

/**
 * This software is intended for use with Oxwall Free Community Software http://www.oxwall.org/ and is a proprietary licensed product. 
 * For more information see License.txt in the plugin folder.

 * ---
 * Copyright (c) 2018, Ebenezer Obasi
 * All rights reserved.
 * info@eobasi.com.

 * Redistribution and use in source and binary forms, with or without modification, are not permitted provided.

 * This plugin should be bought from the developer. For details contact info@eobasi.com.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/**
 * @author Ebenezer Obasi <info@eobasi.com>
 * @package ow_plugins.helpcenter.bol
 * @since 1.0
 */
class HELPCENTER_BOL_Topic extends OW_Entity
{
    /**
     * @var string
     */
	public $title;
    /**
     * @var string
     */
	public $body;
    /**
     * @var string
     */
	public $category;
	
    /**
     * @var integer
     */
	public $timeStamp;
    /**
     * @var boolean
     */
	public $status;
	
	public function getTitle( )
	{
		return $this->title;
	}
	
	public function setTitle( $title )
	{
		$this->title = $title;
	}
	
	public function getBody( )
	{
		return $this->body;
	}
	
	public function setBody( $body )
	{
		$this->body = $body;
	}
	
	public function getCategory( )
	{
		return $this->category;
	}
	
	public function setCategory( $category )
	{
		$this->category = $category;
	}
	
	public function getStatus( )
	{
		return (bool)$this->status;
	}
	
	public function setStatus( $status = false )
	{
		$this->status = (bool)$status;
	}
	
	public function getTimeStamp( )
	{
		return $this->timeStamp;
	}
	
	public function setTimeStamp( $timeStamp = null )
	{
		if( empty( $timeStamp ) )
		{
			$timeStamp = time();
		}
		
		$this->timeStamp = $timeStamp;
	}
}