<?php

/**
 * This software is intended for use with Oxwall Free Community Software http://www.oxwall.org/ and is a proprietary licensed product. 
 * For more information see License.txt in the plugin folder.

 * ---
 * Copyright (c) 2018, Ebenezer Obasi
 * All rights reserved.
 * info@eobasi.com.

 * Redistribution and use in source and binary forms, with or without modification, are not permitted provided.

 * This plugin should be bought from the developer. For details contact info@eobasi.com.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

$router = OW::getRouter();
$defaultParam = OW_Route::PARAM_OPTION_DEFAULT_VALUE;

$router->addRoute( new OW_Route('helpcenter_admin_index', 'admin/helpcenter', 'HELPCENTER_CTRL_Topic', 'index' ) );
$router->addRoute( new OW_Route('helpcenter_admin_settings', 'admin/helpcenter/setting', 'HELPCENTER_CTRL_Topic', 'setting' ) );

$router->addRoute( new OW_Route('helpcenter_admin_delete', 'admin/helpcenter/delete/:type/:id', 'HELPCENTER_CTRL_Topic', 'delete' ) );

$router->addRoute( new OW_Route('helpcenter_admin_category_index', 'admin/helpcenter/category', 'HELPCENTER_CTRL_Topic', 'category'));
$router->addRoute( new OW_Route('helpcenter_admin_category', 'admin/helpcenter/category/:id', 'HELPCENTER_CTRL_Topic', 'category', array('id'=>array($defaultParam => 'list')) ) );

$router->addRoute( new OW_Route('helpcenter_admin_add_new', 'admin/helpcenter/add', 'HELPCENTER_CTRL_Topic', 'add') );
$router->addRoute( new OW_Route('helpcenter_admin_add', 'admin/helpcenter/add/:id', 'HELPCENTER_CTRL_Topic', 'add', array('id'=>array($defaultParam => 'new')) ) );

$router->addRoute( new OW_Route('helpcenter_view_index', 'help', 'HELPCENTER_CTRL_View', 'index' ) );
$router->addRoute( new OW_Route('helpcenter_view_topic', 'help/topic/:id', 'HELPCENTER_CTRL_View', 'topic' ) );
$router->addRoute( new OW_Route('helpcenter_view_board', 'help/:catId', 'HELPCENTER_CTRL_View', 'board' ) );
$router->addRoute( new OW_Route('helpcenter_view_search', 'help/search', 'HELPCENTER_CTRL_View', 'search' ) );

HELPCENTER_CLASS_EventHandler::getInstance()->init();